group 'cn.palmte'
//version '1.0'

buildscript {
    ext {
        springBootVersion = '1.5.7.RELEASE'
    }
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath("org.springframework.boot:spring-boot-gradle-plugin:${springBootVersion}")
    }
}


apply plugin: 'java'
apply plugin: 'war'
apply plugin: 'application'
apply plugin: 'org.springframework.boot'
apply plugin: 'findbugs'

sourceCompatibility = 1.8
targetCompatibility = 1.8

repositories {
    mavenLocal()
    mavenCentral()
    jcenter()
    maven { url "http://maven.aliyun.com/nexus/content/groups/public/"}
    maven { url 'https://jitpack.io' }
}

dependencies {
    compile "org.springframework.boot:spring-boot-starter:${springBootVersion}"
    compile 'org.springframework.boot:spring-boot-starter-web'
    compile 'org.springframework.boot:spring-boot-starter-freemarker'
    compile 'org.springframework.boot:spring-boot-starter-data-jpa'

    //compile('org.springframework.boot:spring-boot-starter-data-redis')

    compile 'com.gitee.xxssyyyyssxx.unihttp:unihttp-jdk:v2.0.2'
    compile 'com.gitee.xxssyyyyssxx:common-crypto:v1.8.1'
    compile 'com.gitee.xxssyyyyssxx:common-db:v1.8.7'
    compile 'com.gitee.xxssyyyyssxx.json:json-fastjson:v1.8.8'
    compile 'com.gitee.xxssyyyyssxx:token:v1.0'

    compile 'com.jfinal:jfinal:2.2'
    compile 'com.alibaba:druid:1.1.9'
    compile 'mysql:mysql-connector-java:6.0.6'
    //compile group: 'org.apache.httpcomponents', name: 'httpclient', version: '4.5.3'
    //shiro
    compile group: 'org.apache.shiro', name: 'shiro-spring', version: '1.4.0'
    compile group: 'org.apache.shiro', name: 'shiro-core', version: '1.4.0'
    compile group: 'net.mingsoft', name: 'shiro-freemarker-tags', version: '0.1'

    compile group: 'org.apache.poi', name: 'poi', version: '3.17'
    compile group: 'org.apache.poi', name: 'poi-ooxml', version: '3.17'
    compile group: 'org.apache.poi', name: 'poi-ooxml-schemas', version: '3.17'
    compile group: 'org.apache.poi', name: 'poi-scratchpad', version: '3.17'

    compile group: 'commons-lang', name: 'commons-lang', version: '2.6'


    compile group: 'org.projectlombok', name: 'lombok', version: '1.16.20'

    /*activiti start*/
    compile group: 'org.activiti', name: 'activiti-spring-boot-starter-basic', version: '6.0.0'

    /*activiti在线编辑器相关*/
    compile group: 'org.activiti', name: 'activiti-json-converter', version: '6.0.0'
    compile group: 'org.apache.xmlgraphics', name: 'batik-codec', version: '1.7'
    /*activiti end*/

    // https://mvnrepository.com/artifact/cn.afterturn/easypoi-base
    compile group: 'cn.afterturn', name: 'easypoi-base', version: '4.2.0'
    // https://mvnrepository.com/artifact/cn.afterturn/easypoi-annotation
    compile group: 'cn.afterturn', name: 'easypoi-annotation', version: '4.2.0'

    compileOnly 'org.springframework.boot:spring-boot-configuration-processor'

    testCompile 'junit:junit:4.12'
    testCompile 'org.springframework.boot:spring-boot-starter-test'
}

compileJava.dependsOn(processResources){

}

findbugs{
    ignoreFailures=true
    findbugsTest.enabled=false
}

tasks.withType(FindBugs) {
    reports {
        // 指定分析结果格式为xml 只能选一种格式
        xml.enabled = true
        html.enabled = false
    }
}
